Note: This is a public test instance of Red Hat Bugzilla. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback at bugzilla.redhat.com.
Bug 1708925 - [abrt] mumble: QHash<QString, QString>::keys(): mumble killed by SIGSEGV
Summary: [abrt] mumble: QHash<QString, QString>::keys(): mumble killed by SIGSEGV
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: mumble
Version: 30
Hardware: x86_64
OS: Unspecified
urgent
urgent
Target Milestone: ---
Assignee: John
QA Contact: Fedora Extras Quality Assurance
URL: https://retrace.fedoraproject.org/faf...
Whiteboard: abrt_hash:b33ebacfd84276cb4cbda5b4aea...
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2019-05-11 17:43 UTC by brizly vaan van Ulciputz
Modified: 2019-05-22 01:40 UTC (History)
6 users (show)

Fixed In Version: mumble-1.2.19-14.fc30
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2019-05-22 01:40:05 UTC
Type: ---


Attachments (Terms of Use)
File: backtrace (96.24 KB, text/plain)
2019-05-11 17:43 UTC, brizly vaan van Ulciputz
no flags Details
File: cgroup (331 bytes, text/plain)
2019-05-11 17:43 UTC, brizly vaan van Ulciputz
no flags Details
File: core_backtrace (26.87 KB, text/plain)
2019-05-11 17:43 UTC, brizly vaan van Ulciputz
no flags Details
File: cpuinfo (1.72 KB, text/plain)
2019-05-11 17:43 UTC, brizly vaan van Ulciputz
no flags Details
File: dso_list (14.99 KB, text/plain)
2019-05-11 17:43 UTC, brizly vaan van Ulciputz
no flags Details
File: environ (3.55 KB, text/plain)
2019-05-11 17:43 UTC, brizly vaan van Ulciputz
no flags Details
File: exploitable (100 bytes, text/plain)
2019-05-11 17:43 UTC, brizly vaan van Ulciputz
no flags Details
File: limits (1.29 KB, text/plain)
2019-05-11 17:43 UTC, brizly vaan van Ulciputz
no flags Details
File: maps (98.48 KB, text/plain)
2019-05-11 17:43 UTC, brizly vaan van Ulciputz
no flags Details
File: mountinfo (3.94 KB, text/plain)
2019-05-11 17:43 UTC, brizly vaan van Ulciputz
no flags Details
File: open_fds (2.45 KB, text/plain)
2019-05-11 17:43 UTC, brizly vaan van Ulciputz
no flags Details
File: proc_pid_status (1.32 KB, text/plain)
2019-05-11 17:43 UTC, brizly vaan van Ulciputz
no flags Details
Patch for the crash as taken from 1706626 (by ValdikSS) (404 bytes, patch)
2019-05-12 00:03 UTC, Stepan Broz
no flags Details | Diff
Patch for the "no cipher match" error. (564 bytes, patch)
2019-05-12 00:06 UTC, Stepan Broz
no flags Details | Diff

Description brizly vaan van Ulciputz 2019-05-11 17:43:41 UTC
Description of problem:
since update from fedora 29 to 30 mumble fails to connect to my server:
[19:41] Serververbindung fehlgeschlagen: Ungültige oder leere Schlüsselliste 
(error:1410D0B9:SSL routines:SSL_CTX_set_cipher_list:no cipher match).

Trying to open Configurations mumble crashes.

Version-Release number of selected component:
mumble-1.2.19-12.fc30

Additional info:
reporter:       libreport-2.10.0
backtrace_rating: 4
cmdline:        mumble
crash_function: QHash<QString, QString>::keys
executable:     /usr/bin/mumble
journald_cursor: s=b53bf8a3b1e04b2db0e03ef81167aede;i=210ad2;b=80aa658733204c138dc92466069c7a11;m=1d1732e22;t=587ec859c16fc;x=7e3159f7528bdba0
kernel:         5.0.9-301.fc30.x86_64
rootdir:        /
runlevel:       N 5
type:           CCpp
uid:            1000

Truncated backtrace:
Thread no. 1 (10 frames)
 #0 QHash<QString, QString>::keys at /usr/include/QtCore/qatomic_x86_64.h:122
 #1 OSSInputRegistrar::getDeviceChoices at OSS.cpp:99
 #2 AudioInputDialog::on_qcbSystem_currentIndexChanged(int) at AudioConfigDialog.cpp:365
 #3 AudioInputDialog::qt_static_metacall at release/moc_AudioConfigDialog.cpp:147
 #4 AudioInputDialog::qt_metacall at release/moc_AudioConfigDialog.cpp:147
 #5 QMetaObject::activate at kernel/qobject.cpp:3597
 #6 QComboBox::currentIndexChanged at .moc/release-shared/moc_qcombobox.cpp:315
 #7 QComboBoxPrivate::_q_emitCurrentIndexChanged at ../../include/QtCore/../../src/corelib/kernel/qabstractitemmodel.h:67
 #8 QComboBoxPrivate::setCurrentIndex at widgets/qcombobox.cpp:2049
 #9 QComboBox::setCurrentIndex at widgets/qcombobox.cpp:2025

Comment 1 brizly vaan van Ulciputz 2019-05-11 17:43:44 UTC
Created attachment 1567276 [details]
File: backtrace

Comment 2 brizly vaan van Ulciputz 2019-05-11 17:43:45 UTC
Created attachment 1567277 [details]
File: cgroup

Comment 3 brizly vaan van Ulciputz 2019-05-11 17:43:47 UTC
Created attachment 1567278 [details]
File: core_backtrace

Comment 4 brizly vaan van Ulciputz 2019-05-11 17:43:48 UTC
Created attachment 1567279 [details]
File: cpuinfo

Comment 5 brizly vaan van Ulciputz 2019-05-11 17:43:50 UTC
Created attachment 1567280 [details]
File: dso_list

Comment 6 brizly vaan van Ulciputz 2019-05-11 17:43:51 UTC
Created attachment 1567281 [details]
File: environ

Comment 7 brizly vaan van Ulciputz 2019-05-11 17:43:52 UTC
Created attachment 1567282 [details]
File: exploitable

Comment 8 brizly vaan van Ulciputz 2019-05-11 17:43:53 UTC
Created attachment 1567283 [details]
File: limits

Comment 9 brizly vaan van Ulciputz 2019-05-11 17:43:55 UTC
Created attachment 1567284 [details]
File: maps

Comment 10 brizly vaan van Ulciputz 2019-05-11 17:43:57 UTC
Created attachment 1567285 [details]
File: mountinfo

Comment 11 brizly vaan van Ulciputz 2019-05-11 17:43:58 UTC
Created attachment 1567286 [details]
File: open_fds

Comment 12 brizly vaan van Ulciputz 2019-05-11 17:43:59 UTC
Created attachment 1567287 [details]
File: proc_pid_status

Comment 13 Stepan Broz 2019-05-11 22:21:46 UTC
*** Bug 1708950 has been marked as a duplicate of this bug. ***

Comment 14 Stepan Broz 2019-05-12 00:03:11 UTC
Created attachment 1567389 [details]
Patch for the crash as taken from 1706626 (by ValdikSS)

Patch for the crash (when clicking on Settings) as taken from https://bugzilla.redhat.com/show_bug.cgi?id=1706626#c14

Comment 15 Stepan Broz 2019-05-12 00:06:34 UTC
Created attachment 1567390 [details]
Patch for the "no cipher match" error.

Patch for the following error that prevents mumble from connecting:

Server connection failed: Invalid or empty cipher list (error:1410D0B9:SSL routines:SSL_CTX_set_cipher_list:no cipher match).

It backports the defaultOpenSSLCipherString() from the github master branch.

Comment 16 Stepan Broz 2019-05-12 00:07:36 UTC
Made a scratch build for x86_64, it may disappear in few days, maybe it helps someone in the meantime this gets fixed.

https://koji.fedoraproject.org/koji/taskinfo?taskID=34800322

Comment 17 Nuno Dias 2019-05-13 08:49:21 UTC
*** Bug 1709235 has been marked as a duplicate of this bug. ***

Comment 18 Stepan Broz 2019-05-13 12:46:04 UTC
Setting to urgent. Mumble is not working at all in F30.

Comment 19 Fedora Update System 2019-05-16 19:14:10 UTC
mumble-1.2.19-13.fc30 has been submitted as an update to Fedora 30. https://bodhi.fedoraproject.org/updates/FEDORA-2019-03f5772e40

Comment 20 Fedora Update System 2019-05-17 15:37:59 UTC
mumble-1.2.19-13.fc30 has been pushed to the Fedora 30 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2019-03f5772e40

Comment 21 Fedora Update System 2019-05-17 20:42:49 UTC
mumble-1.2.19-14.fc30 has been submitted as an update to Fedora 30. https://bodhi.fedoraproject.org/updates/FEDORA-2019-03f5772e40

Comment 22 Fedora Update System 2019-05-18 00:53:53 UTC
mumble-1.2.19-14.fc30 has been pushed to the Fedora 30 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2019-03f5772e40

Comment 23 Fedora Update System 2019-05-22 01:40:05 UTC
mumble-1.2.19-14.fc30 has been pushed to the Fedora 30 stable repository. If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.